View Issue Details

IDProjectCategoryView StatusLast Update
16380Bug reportsUser / Groups / Rolespublic2020-07-30 15:22
Reporteruser225042Assigned To 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version4.2.8 
Target Version4.x.0-dev 
Summary16380: On clicking on delete user icon from user control screen lands in different page & Delete icon is highlighted by default
Description

On clicking on delete user icon from user control screen lands in different page & Delete icon is highlighted by default

Steps To Reproduce

Steps to reproduce:
1.Login as admin.
2.Click on Configuration from the top menu.
3.Navigate to Manage Survey Administrators Page.
4.Click on "Delete" user icon from the user control screen either for existing user or by creating new user.
5.Click on Yes button and check .

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.2.8
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version426
Server OS (if known)
Webserver software & version (if known)
PHP Version7.4.6

Activities

user225042

2020-06-11 15:11

 

Click_DeleteIcon_Users.png (62,012 bytes)   
Click_DeleteIcon_Users.png (62,012 bytes)   
gabrieljenik

gabrieljenik

2020-07-24 18:14

developer   ~59083

Can you try to reproduce it again?
Couldn't reporoduce it. Maybe got fixed already

user225042

2020-07-27 11:02

  ~59096

Last edited: 2020-07-30 11:06

View 2 revisions

I am still able to see the issue in the latest master version(4.3.6) .

gabrieljenik

gabrieljenik

2020-07-28 21:29

developer   ~59137

Last edited: 2020-07-30 11:06

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1516

Route was relative instead of complete (including controller/action). When usng not friendly urls, redirection failed.

user225042

2020-07-29 14:29

  ~59152

Last edited: 2020-07-30 11:06

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, working as expected. Please refer the attachment for more details

16380_UserDelete.png (114,175 bytes)

user231563

2020-07-30 11:01

  ~59197

Last edited: 2020-07-30 11:06

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30320

lime_release_bot

lime_release_bot

2020-07-30 15:22

administrator   ~59207

Fixed in Release 4.3.7+200730

Related Changesets

LimeSurvey: master 8a7fc61c

2020-07-28 21:28:38

gabrieljenik


Committer: user231563 Details Diff
Fixed issue 16380: On clicking on delete user icon from user control screen lands in different page

Route was relative instead of complete (including controller/action). When usng not friendly urls, redirection failed.
Affected Issues
16380
mod - application/controllers/UserManagementController.php Diff File

Issue History

Date Modified Username Field Change
2020-06-11 15:11 user225042 New Issue
2020-06-11 15:11 user225042 File Added: DeleteIcon_Highlightedbydefault.png
2020-06-11 15:11 user225042 File Added: Click_DeleteIcon_Users.png
2020-06-11 15:12 user225042 Status new => confirmed
2020-06-11 15:12 user225042 Steps to Reproduce Updated View Revisions
2020-06-12 11:37 ollehar Product Version => 4.2.8
2020-06-12 11:37 ollehar Target Version => 4.x.0-dev
2020-07-24 18:14 gabrieljenik Note Added: 59083
2020-07-27 11:01 user225042 Steps to Reproduce Updated View Revisions
2020-07-27 11:02 user225042 Note Added: 59096
2020-07-27 11:14 user225042 Note Edited: 59096 View Revisions
2020-07-28 21:29 gabrieljenik Note Added: 59137
2020-07-29 14:29 user225042 Note Added: 59152
2020-07-29 14:29 user225042 File Added: 16380_UserDelete.png
2020-07-30 11:01 user231563 Changeset attached => LimeSurvey master 8a7fc61c
2020-07-30 11:01 user231563 Note Added: 59197
2020-07-30 11:06 swendrich Status confirmed => resolved
2020-07-30 15:22 lime_release_bot Note Added: 59207
2020-07-30 15:22 lime_release_bot Status resolved => closed
2020-07-30 15:22 lime_release_bot Resolution open => fixed